Tirex::Status(3pm)

NAME
Tirex::Status - Status of running master daemon in shared memory

SYNOPSIS
my $status = Tirex::Status->new();

DESCRIPTION
This package manages the status of the master daemon in shared memory.

METHODS

  Tirex::Status->new( master => 1 );
If 'master' is true the shared memory is created (and destroyed afterwards). Only the master server should do this.

  $status->destroy()
Destroy shared memory segment.

  $status->update(key1 => val1, key2 => val2, ...)
Update shared memory with current status. Call with key-value pairs that should be added to status.

  $status->write($string)
Write a string into shared memory.

  $status->read()
Read a string from shared memory.

Returns the string read, or undef if the shared memory was not accessible.